| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PoolDbNTupleDescriptor Class Reference

`#include <GaudiPoolDb/PoolDbNTupleDescriptor.h>`

Collaboration diagram for PoolDbNTupleDescriptor:

[legend]
List of all members.

## Detailed Description

Description:.

Author:
  M.Frank

Version:
  1.0

Definition at line 21 of file PoolDbNTupleDescriptor.h.

## Public Member Functions
virtual | ~PoolDbNTupleDescriptor ()
| Standard destructor.
## Public Attributes
std::string | description
| Description string.
std::string | optional
| Optional description.
std::string | guid
| Object giud of described object.
std::string | container
| Identifier of description.
unsigned long | clid
| Class ID of the described object.

## Constructor & Destructor Documentation

virtual PoolDbNTupleDescriptor::~PoolDbNTupleDescriptor | ( |  | ) | `[inline, virtual]`

Standard destructor.

Definition at line 34 of file PoolDbNTupleDescriptor.h.

    00034 {}

## Member Data Documentation

std::string PoolDbNTupleDescriptor::description

Description string.

Definition at line 23 of file PoolDbNTupleDescriptor.h.

Referenced by PoolDbNTupleCnv::createObj().

std::string PoolDbNTupleDescriptor::optional

Optional description.

Definition at line 25 of file PoolDbNTupleDescriptor.h.

Referenced by PoolDbNTupleCnv::createObj().

std::string PoolDbNTupleDescriptor::guid

Object giud of described object.

Definition at line 27 of file PoolDbNTupleDescriptor.h.

Referenced by PoolDbNTupleCnv::createObj().

std::string PoolDbNTupleDescriptor::container

Identifier of description.

Definition at line 29 of file PoolDbNTupleDescriptor.h.

Referenced by PoolDbNTupleCnv::createObj(), and PoolDbDirectoryCnv::updateObjRefs().

unsigned long PoolDbNTupleDescriptor::clid

Class ID of the described object.

Definition at line 31 of file PoolDbNTupleDescriptor.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/GaudiPoolDb/PoolDbNTupleDescriptor.h